### Method

# Camel NameValueArray get_named

since: 3.24

#### Declaration [src]

    const gchar*
    camel_name_value_array_get_named (
      const CamelNameValueArray* array,
      CamelCompareType compare_type,
      const gchar* name
    )

#### Description [src]

Returns the value of the first element named `name`, or `NULL` when there is no element of such `name` in the `array`. The `compare_type` determines how to compare the names.

Available since: 3.24

#### Parameters

`compare_type`

  Type: `CamelCompareType`

  A compare type, one of `CamelCompareType`.

`name`

  Type: `const gchar*`

  A name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

Value of the first element named `name`, or `NULL`.

See: camel_name_value_array_get, camel_name_value_array_get_name.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.